## org.eclipse.datatools.sqltools.routineeditor.ui.actions
Class Messages

    java.lang.Object
      org.eclipse.osgi.util.NLS
          org.eclipse.datatools.sqltools.routineeditor.ui.actions.Messages

    public final class Messages

extends org.eclipse.osgi.util.NLS

Field Summary
`static java.lang.String` `common_error`
`static java.lang.String` `DebugAction_label`
`static java.lang.String` `DebugAction_runError`
`static java.lang.String` `DebugAction_tooltip`
`static java.lang.String` `dmpActionHandler_deleteLaunchConfigration_NameOrOwnerNull`
`static java.lang.String` `DropRoutineAction_label`
`static java.lang.String` `DropRoutineAction_message`
`static java.lang.String` `DropRoutineAction_title`
`static java.lang.String` `DropRoutineAction_tooltip`
`static java.lang.String` `EditRoutineAction_label`
`static java.lang.String` `EditRoutineAction_tooltip`
`static java.lang.String` `RefreshFromDatabase_fail`
`static java.lang.String` `RefreshFromDatabase_success`
`static java.lang.String` `RunAction_label`
`static java.lang.String` `RunAction_tooltip`
`static java.lang.String` `RunAction_warn`
`static java.lang.String` `RunAction_warn_dirty`

Method Summary
`static java.util.ResourceBundle` `getResourceBundle()` Returns the message bundle which contains constructed keys.

Methods inherited from class org.eclipse.osgi.util.NLS
`bind, bind, bind, initializeMessages`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### common_error

    public static java.lang.String common_error

### EditRoutineAction_label

    public static java.lang.String EditRoutineAction_label

### EditRoutineAction_tooltip

    public static java.lang.String EditRoutineAction_tooltip

### DropRoutineAction_title

    public static java.lang.String DropRoutineAction_title

### DropRoutineAction_message

    public static java.lang.String DropRoutineAction_message

### DropRoutineAction_label

    public static java.lang.String DropRoutineAction_label

### DropRoutineAction_tooltip

    public static java.lang.String DropRoutineAction_tooltip

### RunAction_label

    public static java.lang.String RunAction_label

### RunAction_tooltip

    public static java.lang.String RunAction_tooltip

### DebugAction_label

    public static java.lang.String DebugAction_label

### DebugAction_tooltip

    public static java.lang.String DebugAction_tooltip

### RefreshFromDatabase_success

    public static java.lang.String RefreshFromDatabase_success

### RefreshFromDatabase_fail

    public static java.lang.String RefreshFromDatabase_fail

### DebugAction_runError

    public static java.lang.String DebugAction_runError

### dmpActionHandler_deleteLaunchConfigration_NameOrOwnerNull

    public static java.lang.String dmpActionHandler_deleteLaunchConfigration_NameOrOwnerNull

### RunAction_warn

    public static java.lang.String RunAction_warn

### RunAction_warn_dirty

    public static java.lang.String RunAction_warn_dirty

Method Detail

### getResourceBundle

    public static java.util.ResourceBundle getResourceBundle()

  Returns the message bundle which contains constructed keys.

  Returns:
    the message bundle